Bug 112800 - kernel-2.6.0-1.109 missing module n_hdlc.ko
kernel-2.6.0-1.109 missing module n_hdlc.ko
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-01 16:02 EST by kanagawa jigorou
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-19 04:49:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description kanagawa jigorou 2004-01-01 16:02:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6b)
Gecko/20031230

Description of problem:
I downloaded 
kernel-2.6.0-1.109.i686.rpm
from
http://people.redhat.com/arjanv/2.5/RPMS.kernel/
and installed and reboot.

After reboot, I tried adsl-connect with SYNCHRONOUS option but failed.
Then I read '/var/log/messages' , I found following messages (excerpts)

Jan  2 04:19:35 localhost pppd[1560]: pppd 2.4.1 started by root, uid 0
Jan  2 04:19:35 localhost pppoe[1561]: Unable to set line discipline
to N_HDLC.  Make sure your kernel supports the N_HDLC line discipline,
or do not use the SYNCHRONOUS option.  Quitting.
Jan  2 04:19:35 localhost pppd[1560]: Couldn't get channel number:
Input/output error
Jan  2 04:19:35 localhost pppd[1560]: Exit.

So I ran 'rpm -q --fiilesbypkg kernel |grep hdlc', and found there is
no 'n_hdlc.ko'.
(but that is provided with kernel-2.6.0-1.21 in
fedora/core/development repository)

Version-Release number of selected component (if applicable):
kernel-2.6.0-1.109

How reproducible:
Always

Steps to Reproduce:
always using the package

Actual Results:  can't use syncronous PPP

Expected Results:  arjanv's kernel include n_hdlc.ko and we run PPP
with syncronous option

Additional info:
Comment 1 Arjan van de Ven 2004-01-02 06:15:30 EST
CONFIG_N_HDLC=m
.....


Comment 2 kanagawa jigorou 2004-01-02 08:50:50 EST
Thank you, but I know that solves this problem.
And that doesn't solve the default package you provide still missing
n_hdlc.ko...

hmmm...
Maybe, is it feature of the package you keep in
http://people.redhat.com/arjanv ?
If that is true, I understand the difference between the 2.6 kernel in
rawhide and the kernel you privide.
But in the case, you should add brief packaging-policy to readme.txt,
or try to sync files between two, IMHO.

It seems Brian C. Huffman also wonder the difference.
http://www.redhat.com/archives/fedora-devel-list/2004-January/msg00015.html

thanks
jigorou
Comment 3 Arjan van de Ven 2004-01-02 09:08:44 EST
teh CONFIG option is already enabled fwiw

ah found it; HDLC config option depends on SERIAL_NONSTANDARD option
which wasn't set...
Comment 4 kanagawa jigorou 2004-01-07 09:08:32 EST
I verified the file 'n_hdlc.ko' in the package
'kernel-2.6.0-1.118.i686.rpm'.
Thank you for your kindness.

And I have to say "I'm sorry." to you about having you workd
unnecessary work for development.
I finally got your work around kernel and goal, but my realizing came
too late...

best regards
jigorou

Note You need to log in before you can comment on or make changes to this bug.